#version 330

in vec2 textPos;

uniform sampler2D colorTexture;
uniform sampler2D ssaoTexture;
uniform float ssaoFactor;

out vec4 color;

void main()
{
	color = vec4(texture(colorTexture, textPos).rgb * pow(texture(ssaoTexture, textPos).r, ssaoFactor), 1);
	//color = texture(ssaoTexture, textPos);
}
