#version 330

in vec3 position;

uniform float blurSize;

out vec2 textPos;
out vec2 textPos_Offset[14];

void main()
{
	textPos = (position.xy + 1.0) * 0.5;
	gl_Position = vec4(position, 1.0);

    textPos_Offset[ 0] = textPos + vec2(-0.028, 0.0) * blurSize;
    textPos_Offset[ 1] = textPos + vec2(-0.024, 0.0) * blurSize;
    textPos_Offset[ 2] = textPos + vec2(-0.020, 0.0) * blurSize;
    textPos_Offset[ 3] = textPos + vec2(-0.016, 0.0) * blurSize;
    textPos_Offset[ 4] = textPos + vec2(-0.012, 0.0) * blurSize;
    textPos_Offset[ 5] = textPos + vec2(-0.008, 0.0) * blurSize;
    textPos_Offset[ 6] = textPos + vec2(-0.004, 0.0) * blurSize;
    textPos_Offset[ 7] = textPos + vec2( 0.004, 0.0) * blurSize;
    textPos_Offset[ 8] = textPos + vec2( 0.008, 0.0) * blurSize;
    textPos_Offset[ 9] = textPos + vec2( 0.012, 0.0) * blurSize;
    textPos_Offset[10] = textPos + vec2( 0.016, 0.0) * blurSize;
    textPos_Offset[11] = textPos + vec2( 0.020, 0.0) * blurSize;
    textPos_Offset[12] = textPos + vec2( 0.024, 0.0) * blurSize;
    textPos_Offset[13] = textPos + vec2( 0.028, 0.0) * blurSize;
}