#version 330

in vec2 textPos;

uniform sampler2D colorTexture;

layout(location = 0) out vec4 fragColor;

void main()
{
	vec3 color = texture(colorTexture, textPos).rgb;
	fragColor = vec4(color, 1.0);
}