#version 330

in vec2 textPos;

uniform sampler2D shadowMap;

void main()
{
	float depth = texture(shadowMap, textPos).r;

	float moment1 = depth;
	float moment2 = depth * depth;

	//float dx = dFdx(depth);
	//float dy = dFdy(depth);

	//float moment2 = depth * depth + 0.25*(dx*dx + dy*dy);

	gl_FragColor = vec4(moment1, moment2, 0.0, 0.0);
}