#version 330

in vec2 textPos;

uniform sampler2D colorTexture;
uniform sampler2D blurTexture;
uniform float bloomFactor;

out vec4 color;

void main()
{
	color = texture(colorTexture, textPos) + texture(blurTexture, textPos) * bloomFactor;
}
